fs        = require("fs")
gulp      = require("gulp")
header    = require("gulp-header")
isBrowser = require("gulp-isbrowser")
coffee    = require("gulp-coffee")
mocha     = require("gulp-mocha")
details   = require("./package.json")
Stream    = require("stream")
{ merge } = require("event-stream")
src       = "./src"
lib       = "./lib"


###
Build all local cs.
###
gulp.task("build", ->
	gulp.src("#{src}/**/*.coffee")
		.pipe(coffee(bare: true).on("error", handleError = (err)->
			console.log(err.toString())
			console.log(err.stack)
			this.emit("end")
		))
		.pipe(header("""
			/** Rill(parse-url) v#{details.version} */
			"use strict";\n
		"""))
		.pipe(gulp.dest(lib))
)

###
Run tests.
###
gulp.task("test", ->
	gulp.src("./test/**/*Test.coffee", read: false)
		.pipe(mocha())
)
